// 导出一个函数，这个函数接受数据库对象db和一个回调函数callback作为参数
module.exports = function(db, callback) {
    // 用户模型
    // 使用db.define方法定义一个模型，模型名为GoodPicModel
    db.define("GoodPicModel", {
        // 定义模型的属性
        pics_id: {type: 'serial', key: true}, // 图片ID，自增主键
        goods_id: Number, // 商品ID，类型为数字
        pics_big: String, // 商品大图地址，类型为字符串
        pics_mid: String, // 商品中图地址，类型为字符串
        pics_sma: String // 商品小图地址，类型为字符串
    }, {
        // 定义模型的选项
        table: "sp_goods_pics" // 指定模型对应的数据库表名为sp_goods_pics
    });
    // 调用回调函数，传入无参数
    return callback();
}